Bug 901863 - preupgrade on F18 not needed/useable anymore but still required
preupgrade on F18 not needed/useable anymore but still required
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 12:40 EST by Stefan Neufeind
Modified: 2013-04-20 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-20 15:49:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2013-01-19 12:40:53 EST
According to https://fedoraproject.org/wiki/FedUp preupgrade was only usable until Fedora 17. But PackageKit still demands it to be installed on F18.

# rpm -e preupgrade
error: Failed dependencies:
        preupgrade is needed by (installed) PackageKit-0.8.7-1.fc18.x86_64
Comment 1 Stefan Neufeind 2013-01-19 12:42:07 EST
Oh, I now see I read that on the PreUpgrade-page ...

https://fedoraproject.org/wiki/PreUpgrade
[...] Preupgrade deprecated for Fedora 18. Preupgrade does not at present and will not ever work for upgrading to Fedora 18, or any version after [...]
Comment 2 Fedora Update System 2013-04-04 07:04:42 EDT
PackageKit-0.8.7-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/PackageKit-0.8.7-4.fc19
Comment 3 Fedora Update System 2013-04-04 22:57:38 EDT
Package PackageKit-0.8.7-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing PackageKit-0.8.7-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4915/PackageKit-0.8.7-4.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-04-20 15:49:45 EDT
PackageKit-0.8.7-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.